#include "engine.hpp"

void Engine::run()
{
  do
  {
    section[partindex]->reset();
    int message=section[partindex]->run();
    partindex=control(partindex,message);
  }
  while (partindex>=0);
}

Engine::Engine():
partindex(0)
{
  timer = new Timer;
  soundengine = new SoundEngine;
  graphicsengine = new GraphicsEngine;
}

Engine::~Engine()
{
  delete timer;
  delete soundengine;
  delete graphicsengine;
  std::cout<<"Exited cleanly"<<std::endl;
}

