#ifndef INTROPART_HPP
#define INTROPART_HPP

#include "Engine/engine.hpp"
#include "engineinstance.hpp"

class Intro_State {
public:
  GLfloat gstimer;
  Intro_State():gstimer(0){};
};

class IntroPart: public EnginePart {
public:
  void reset();
  IntroPart(const SubengineInterface* subengines, Global_Variables* p_global_variables);
  ~IntroPart();
protected:
  int input(const SDL_Event& event);
  int logic();
  void draw();
private:
  Intro_State* state;
  Global_Variables* global_variables;
};

#endif /* INTROPART_HPP */
