#ifndef MAINPART_HPP
#define MAINPART_HPP

#ifdef __APPLE__
#include <SDL/SDL.h>
#else
#include <SDL.h>
#endif

#include "Engine/engine.hpp"
#include "globals.hpp"
#include "entities.hpp"

class Main_State
{
public:
  SDL_Surface* bmp;
  SDL_Rect dstrect;
  Wife wife;
  Lover lover;
  Boss boss;
  Dildo dildo[3];
  GLfloat hidecounter;
  Main_State();
  GLfloat tx;
  GLfloat ty;
  GLfloat tz;
};

class MainPart: public EnginePart {
public:
  void reset();
  MainPart(SubengineInterface* subengines, Global_Variables* p_global_variables);
  ~MainPart();
protected:
  int input(const SDL_Event& event);
  int logic();
  void draw();
private:
  void dildodraw();
  Main_State* state;
  Global_Variables* global_variables;
};

#endif /* MAINPART_HPP */
